%define _altdata_dir %_datadir/alterator

Name: alterator-ahttpd
Version: 0.5
Release: alt0.M41.4

Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch:	noarch

Source:%name-%version.tar

Summary: alterator module for ahttpd web server administration
License: GPL
Group: System/Configuration/Other

Requires: alterator >= 2.9,  alterator-sh-functions >= 0.3-alt4, libshell >= 0.0.1-alt4, ahttpd
Requires: vhttpd-utils
Conflicts: alterator-fbi < 2.4-alt1

BuildPreReq: alterator >= 3.2-alt6, alterator-fbi >= 2.4-alt1, alterator-l10n >= 0.7-alt6

%description
alterator module for ahttpd web server administration

%prep
%setup -q

%build
%make_build

%install
%makeinstall
%find_lang %name

%files -f %name.lang
%_altdata_dir/applications/*
%_altdata_dir/templates/*
%_altdata_dir/design/*
%_alterator_backend3dir/*

%changelog
* Fri Dec 05 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.4
- rebuild with new l10n

* Thu Dec 04 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.3
- fix name in desktop file

* Wed Nov 26 2008 Vladislav Zavjalov <slazav@altlinux.org> 0.5-alt0.M41.2
- fix reference to ahttpd.csr

* Thu Aug 28 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt0.M41.1
- build for 4.1

* Mon Aug 25 2008 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- move /ahttpd to /ahttpd/server
- add acl settings

* Fri Aug 15 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1.M41.1
- build for 4.1

* Fri Aug 15 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- use module.mak
- fix config_set and cert_set functions (skip empty values)

* Tue Jun 03 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- remove po and pot files
- update backend for alterator_api_version=1
- update interface according common alterator HIG

* Wed May 07 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- join to common translation database

* Wed May 07 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- use enumref
- remove logfile support (replaced by alterator-logs)

* Tue Mar 04 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- remove template-*

* Wed Feb 13 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- add support for tls settings

* Mon Feb 11 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- add support for the logs

* Fri Feb 08 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- improve reload after settings change

* Sat Feb 02 2008 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
